Package org.kie.internal.task.api

## Interface TaskIdentityService

-     public interface TaskIdentityService

  The Task Identity Service provides all the functionality related with the Organizational Entities that will be handled internally by jBPM. This methods will allow us to create the Mappings against external identity directories to the internal inforamtion required by jBPM.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addGroup​(org.kie.api.task.model.Group group)` |
    `void` | `addUser​(org.kie.api.task.model.User user)` |
    `org.kie.api.task.model.Group` | `getGroupById​(java.lang.String groupId)` |
    `java.util.List<org.kie.api.task.model.Group>` | `getGroups()` |
    `org.kie.api.task.model.OrganizationalEntity` | `getOrganizationalEntityById​(java.lang.String entityId)` |
    `org.kie.api.task.model.User` | `getUserById​(java.lang.String userId)` |
    `java.util.List<org.kie.api.task.model.User>` | `getUsers()` |
    `void` | `removeGroup​(java.lang.String groupId)` |
    `void` | `removeUser​(java.lang.String userId)` |

- - ### Method Detail

    - #### addUser

          void addUser​(org.kie.api.task.model.User user)

    - #### addGroup

          void addGroup​(org.kie.api.task.model.Group group)

    - #### removeGroup

          void removeGroup​(java.lang.String groupId)

    - #### removeUser

          void removeUser​(java.lang.String userId)

    - #### getUsers

          java.util.List<org.kie.api.task.model.User> getUsers()

    - #### getGroups

          java.util.List<org.kie.api.task.model.Group> getGroups()

    - #### getUserById

          org.kie.api.task.model.User getUserById​(java.lang.String userId)

    - #### getGroupById

          org.kie.api.task.model.Group getGroupById​(java.lang.String groupId)

    - #### getOrganizationalEntityById

          org.kie.api.task.model.OrganizationalEntity getOrganizationalEntityById​(java.lang.String entityId)